﻿using System;
using System.ComponentModel;
using System.Windows.Data;
using System.Windows.Media.Imaging;

namespace Lepton_Practical_MVVM_4 {

    [ValueConversion(typeof(MyStatusEnum), typeof(BitmapImage))]
    public class MyEnumToImageConverter : IValueConverter{
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            MyStatusEnum Status = (MyStatusEnum)value;
            switch (Status) {
                case MyStatusEnum.OK:
                    return new BitmapImage(new Uri("pack://application:,,,/Img/Check.png"));
                case MyStatusEnum.Cancel:
                    return new BitmapImage(new Uri("pack://application:,,,/Img/Cancel.png"));
                case MyStatusEnum.Delete:
                    return new BitmapImage(new Uri("pack://application:,,,/Img/Delete.png"));
                default:
                    throw new InvalidEnumArgumentException("MyStatusEnum 值超出预期范围");
            }
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture) {
            throw new NotImplementedException();
        }

        #endregion
    }
}
